Automatisk eller manuel opdatering?

Pingsvin
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Automatisk eller manuel opdatering?

Mozilla Firefox crasher jævnligt på min Linux Mint. Her https://support.mozilla.org/en-US/kb/firefox-crash... står der, jeg skal huske at opdatere Firefox, plugins, Linux og hardware drivere. Jeg troede alt dette jævnligt blev opdateret gennem Linux' egen opdateringshåndtering, men under linket "Plugin check" står der, at både min Firefox version og Adobe Flash Player tilsyneladende er gamle, så dem skal man åbenbart selv opdatere manuelt? På mig virker det lidt tilfældigt, hvilke programmer Linux Mint opdaterer automatisk, og hvilke man selv skal opdatere. Er der noget system i det?


frogmaster
frogmaster's picture
Antal: 3496
Tilmeldt:
20-05-2010
User is offline
Det bliver Firefox, og alle

Det bliver Firefox, inklusiv Adobe Flash og alle de andre programmer, også normalt, men dine Firefox udvidelser skal du selv opdatere manuelt, ved jævnligt at tjekke dem fra Tilføjelser/Udvidelser.

https://dl.dropboxusercontent.com/u/15353512/firef...

Måske er der noget galt i Programkilder:
https://dl.dropboxusercontent.com/u/15353512/progr...

Eller du skal afinstallere Firefox og geninstallere den fra Programhåndtering.

Bemærk at Adobe Flash versionen i Firefox på Linux opdateret er 11.2, mens den i Chromium er 22.0


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Mange tak for det. På Adobe

Mange tak for det. På Adobe Flash hjemmesiden får jeg (med mine 32-bit) valget mellem "YUM for Linux (YUM)", "tar.gz for other Linux" og "rpm. for other Linux". Hvad skal jeg vælge her?


frogmaster
frogmaster's picture
Antal: 3496
Tilmeldt:
20-05-2010
User is offline
Det burde give sig selv med

Det burde give sig selv med en geninstallering af Firefox, eller eventuelt fra Mint's Programhåndtering
.
Skriv Adobe flash og vælg Adobe-flashplugin.


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Hvis jeg kan undgå at

Hvis jeg kan undgå at geninstallere Firefox, vil jeg helst det, pga mine indstillinger, cookies, bogmærker, osv. I Programhåndtering stod der at Adobe-flashplugin allerede VAR installeret, så jeg prøvede at fjerne og geninstallere den, men det er åbenbart den samme gamle version jeg havde i forvejen, for på Firefox' plugin-tjek https://www.mozilla.org/en-US/plugincheck/ får jeg stadig at vide, at den skal opdateres.


osjensen
osjensen's picture
Antal: 1251
Tilmeldt:
14-01-2007
User is online
http://www.linuxin.dk/node/21

http://www.linuxin.dk/node/21875#comment-87936

De er sikkert i din pakkehåndtering.

Det skulle gerne give dig Flash 22.XX

En ny Firefox genbruger din gamle indstillinger.


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Tak, jeg har geninstalleret

Tak, jeg har geninstalleret Adobe-flashplugin fra pakkehåndtering nu, men på https://www.mozilla.org/en-US/plugincheck/ står der stadig version 11.2 ("vulnerable"). Nogen der ved hvilken af "YUM for Linux (YUM)", "tar.gz for other Linux" eller "rpm. for other Linux" på https://get.adobe.com/flashplayer/ jeg skal vælge?


osjensen
osjensen's picture
Antal: 1251
Tilmeldt:
14-01-2007
User is online
Måske du skulle læse det

Måske du skulle læse det hele en gang til.

AFINSTALLERE "Adobe Flash Player Plugin"

og derefter
installere "fresh-player-plugin"
installere "chromium-pepper-flash"
genstart firefox

"FRESH PLAYER" ikke "flash player"

"Adobe Flash Player Plugin" bliver ved med at være version 11.2, da den ikke opdateres mere, til linux.

Er det på din "mint" bruger du vel ikke YUM og rpm.


frogmaster
frogmaster's picture
Antal: 3496
Tilmeldt:
20-05-2010
User is offline
PingsvinSe billedet

Pingsvin

Se billedet herunder, og læg mærke til Programhåndteringen (browser-plugin-fresh) og Flash versionen fra Adobe's site.

https://db.tt/X7sPZ2KW

Edit.
Jeg har lidt mere tid nu til at forklare. Browser-plugin-fresh installerer Chrome's PPAPI Pepper Flash, således Firefox kan bruge Chrome's og Chromium's Pepper-Flash i stedet for NPAPI Adobe Flash.

På den måde springer du, i Firefox, hele 10 Flash versioner op, fra 11 til version 22.

Det er en god ide hvis du tager en backup af dine bogmærker. Det betyder du ikke mister dem ved total afinstallering af Firefox, og det gør det nemt at importere dem til en anden, eller ekstra, browser.


FrugalMan
FrugalMan's picture
Antal: 1117
Tilmeldt:
18-12-2007
User is offline
Jeg gør det at jeg hver

Jeg gør det at jeg hver fjortende dag tager backup af firefox og thunderbird på extern harddisk. Det smarte er hvis du har andre computere, ja så er det bare at kopiere det over,. Wupti, så har du alle bookmærker og mails, også hvis computeren bryder ned

Man kan modstå alt undtagen fristelser" - Oscar Wilde
Frit Software


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Nå ok, jeg vidste ikke

Nå ok, jeg vidste ikke "Adobe Flash Player Plugin" ikke længere blev opdateret til Linux. Nu har jeg afinstalleret den ("fuldstændig fjernelse"). Men hvorfra kan jeg installere "fresh-player-plugin" og "chromium-pepper-flash"? De er ikke i Mints repository (heller ikke som "browser-plugin-fresh"), og de download-sider jeg kan finde på nettet, kan jeg ikke gennemskue om er opdaterede, eller om de passer til Mint. Men jo, jeg tager lige en backup af bogmærkerne først :)


osjensen
osjensen's picture
Antal: 1251
Tilmeldt:
14-01-2007
User is online
På mint skal du nok søge

På mint skal du nok søge efter
Browser-plugin-fresh


frogmaster
frogmaster's picture
Antal: 3496
Tilmeldt:
20-05-2010
User is offline
Pingsvin.Det er ikke så

Pingsvin.

Det er ikke så nemt som det lyder. Der er forskel fra Mint 17 til Mint 18 (beta), der er fremgangsmåden vist i overstående. Beklager forvirringen.

For at få PPAPI Pepper Flash Player version 22 installeret i Firefox på Mint 17, følg dette fra terminalen:

sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install browser-plugin-freshplayer-pepperflash

Genstart Firefox og tjek det fra Adobe Flash test site.
https://www.adobe.com/software/flash/about/


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Mange tak, hermed gjort. Har

Mange tak, hermed gjort. Har nu genstartet Firefox, og den ser ud til at virke hurtigere end før, men når jeg åbner en ny hjemmeside, går skærmen i sort 2-3 sekunder, næsten hver gang. Jeg har været inde på https://www.adobe.com/software/flash/about/ men når jeg åbner siden kommer der kortvarigt en meddelelse, der siger noget med "Failed to load lipresplayer.so" og at jeg mangler PPAPI. Så PPAPI Pepper Flash Player blev åbenbart ikke ordentligt installeret?


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Hej igen, dét med sort

Hej igen, dét med sort skærm er den heldigvis stoppet med nu, 7-9-13, men har lige haft et nyt crash, så tja..


Tom_the_
Antal: 101
Tilmeldt:
02-07-2010
User is offline
Jeg bruger selv denne.

Jeg bruger selv denne:
tar -zxvf install*.tar.gz -C /usr/lib/mozilla/plugins/ libflashplayer.so

Du skal selvfølgelig se om det er stien til dit plugins dir.


frogmaster
frogmaster's picture
Antal: 3496
Tilmeldt:
20-05-2010
User is offline
#0, #13 og #14 beskriver,

#0, #13 og #14 beskriver, så vidt jeg kan se, problemer med system og muligvis også hardware. Hvad der mere præcist skyldes problemerne, kan jeg ikke sidde her og afgøre.

Har du f.eks. Chromium installeret? Den kan du installere på et 32 bit Linux system i modsætning til Google Chrome. Hvis der også er problemer med Chromium, så kunne Firefox crash skyldes hardware acceleration, eventuelt relateret til grafikkortet. Det kan også skyldes RAM fejl og såmænd også en begyndende svigtende harddisk.

Kan du beskrive maskinens hardware specifikationer?

Imidlertid ved jeg heller ikke om opdateringsproblemet er løst. Er det løst?

Er det Mint 17.1 - 17.2 eller 17.3 du har installeret? Versionen beskrives vigtig (LØST) på flere fora hvor Firefox crasher, netop i forbindelse med opdatering/opgradering af Mint 17 og Ubuntu 14.04.


stra
Antal: 353
Tilmeldt:
08-08-2007
User is offline
#9

Hvorfor bruger du ikke Firefox s indbyggede sync funktion, som netop sikrer at du hele tiden har de samme indstillinger/bogmærker m.m. på tværs af dine pc-ere?


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Hej igen, undskyld mit sene

Hej igen, undskyld mit sene svar. Med hensyn til "tar -zxvf install*.tar.gz -C /usr/lib/mozilla/plugins/ libflashplayer.so", så er det ikke stien til mit plugin dir, og jeg kan ikke se, hvor den ellers er?

Tak for tippet, jeg installerer Chromium og prøver den.

Her er lidt hardware info:

CPU: Intel, 2.80 GHz
RAM: 2 GB
HD1: 320 GB SATA
HD2: 160 GB SATA

Jeg ved ikke så meget om grafik- og bundkortet, andet end at mærkerne er hhv Point of View og Asus.

Om opdateringsproblemet blev løst, ved jeg heller ikke rigtigt. De her trin:

sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install browser-plugin-freshplayer-pepperflash

gik gnidningsløst, - jeg kan poste outputet hvis du synes.

Det er Mint 17.1 Rebecca. Jeg skal også lige sige, at min kernel er 3.13.0-71-lowlatency i686 (32 bit). Jeg ændrede den selv fra "generic", men det er nok et halvt år siden, og jeg har ikke oplevet lignende problemer i den tid.


frogmaster
frogmaster's picture
Antal: 3496
Tilmeldt:
20-05-2010
User is offline
Jeg ved ikke så meget

#18: Jeg ved ikke så meget om grafik- og bundkortet, andet end at mærkerne er hhv Point of View og Asus.

Prøv med inxi -Fxz i terminalen. Den giver lidt info om hardwaren.

Efter din beskrivelse er det en svag hardware. 2 GB RAM er ikke optimalt, ikke engang for 32 bit OS, men det bør være nok til at få Firefox til at afvikle Flash.

Det er ikke nødvendigt at poste output fra fresh-player installeringen, men det kan være nødvendigt med anden output hvis du stadig oplever opdateringsproblemer og crash i Firefox, eksempelvis output fra Firefox startet fra terminalen.

Imidlertid meddeler brugere på nettet om flash problemer og Firefox crash, der er løst med installering/opgradering til Mint 17.3.

Oplever du stadig Flash, eller andre video problemer i Firefox? Virker det som det bør med Chromium?


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Prøv med inxi -Fxz i

#19: Prøv med inxi -Fxz i terminalen. Den giver lidt info om hardwaren.

tl@tl-P5Q-SE ~ $ inxi -Fxz
System: Host: tl-P5Q-SE Kernel: 3.13.0-71-lowlatency i686 (32 bit, gcc: 4.8.2)
Desktop: N/A Distro: Linux Mint 17.1 Rebecca
Machine: Mobo: ASUSTeK model: P5Q SE version: Rev 1.xx Bios: American Megatrends version: 1004 date: 06/17/2009
CPU: Dual core Intel Core2 Duo CPU E7400 (-MCP-) cache: 3072 KB flags: (lm nx sse sse2 sse3 sse4_1 ssse3) bmips: 11172
Clock Speeds: 1: 1603.00 MHz 2: 1603.00 MHz
Graphics: Card: NVIDIA G72 [GeForce 7200 GS / 7300 SE] bus-ID: 01:00.0
X.Org: 1.15.1 drivers: (unloaded: fbdev,vesa) FAILED: nouveau Resolution: 1024x768@60.0hz
GLX Renderer: Gallium 0.4 on NV46 GLX Version: 2.1 Mesa 10.1.3 Direct Rendering: Yes
Audio: Card-1: VIA ICE1712 [Envy24] PCI Multi-Channel I/O Controller driver: snd_ice1712 ports: ec00 e880 e800 e480 bus-ID: 05:00.0
Card-2: Intel 82801JI (ICH10 Family) HD Audio Controller driver: snd_hda_intel bus-ID: 00:1b.0
Sound: Advanced Linux Sound Architecture ver: k3.13.0-71-lowlatency
Network: Card: Qualcomm Atheros AR8121/AR8113/AR8114 Gigabit or Fast Ethernet driver: ATL1E port: cc00 bus-ID: 02:00.0
IF: eth0 state: up speed: 100 Mbps duplex: full mac:
Drives: HDD Total Size: 480.1GB (3.2% used) 1: id: /dev/sda model: ST3320620AS size: 320.1GB
2: id: /dev/sdb model: Hitachi_HDS72161 size: 160.0GB
Partition: ID: / size: 136G used: 15G (12%) fs: ext4 ID: swap-1 size: 2.14GB used: 0.00GB (0%) fs: swap
RAID: No RAID devices detected - /proc/mdstat and md_mod kernel raid module present
Sensors: System Temperatures: cpu: 29.0C mobo: 33.0C gpu: 41.0
Fan Speeds (in rpm): cpu: 2057 psu: 0 sys-1: 0
Info: Processes: 169 Uptime: 15:08 Memory: 571.9/2015.2MB Runlevel: 2 Gcc sys: 4.8.4 Client: Shell inxi: 1.8.4

Computeren tror åbenbart stadig jeg har et Nvidia grafikkort, selvom jeg har udskiftet det. Kan problemet måske (delvist) skyldes det? Jeg havde bare læst at Linux selv fandt driveren til ens hardware. Og grafikken har tilsyneladende fungeret ok, efter jeg skiftede grafikkort for et halvt år siden.

Jeg oplever stadig crash i Firefox. Her er lidt output fra terminalen:

tl@tl-P5Q-SE ~ $ firefox
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh 7766] plugin missing, using placeholder
[fresh 7766] plugin missing, using placeholder
[fresh 7766] plugin missing, using placeholder
[fresh 7766] plugin missing, using placeholder
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh 7793] plugin missing, using placeholder
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh 7831] plugin missing, using placeholder
[fresh 7831] plugin missing, using placeholder
[fresh 7831] plugin missing, using placeholder
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh 7858] plugin missing, using placeholder
[fresh 7858] plugin missing, using placeholder
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh 7879] plugin missing, using placeholder
[fresh 7879] plugin missing, using placeholder
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so
[fresh] [error] probe_ppp_module, can't find libpepflashplayer.so

Ja, måske skulle jeg opdatere til Mint 17.3, ved bare ikke hvor bøvlet det bliver, og om der herefter opstår nye problemer. I hvert fald ville jeg så igen skulle ændre kernelen. Hvis det var muligt at opdatere Flash Player til Pepper version 22, ville jeg foretrække det i første omgang.

Det er tilsyneladende kun videoer på Youtube jeg kan afspille. Fra andre sites får jeg beskeden:

"Failed to load "libpepflashplayer.so". Freshwrapper layer is a translation which needs PPAPI plugin backed. Ensure your system have "libpepflashplayer.so" available. Paths tried:"

Og så ellers en masse stier, jeg ikke orker taste ind. (kan ikke copy-paste teksten)

Jeg installerede Chromium, men kan ikke starte den. Der kommer bare en blank browser side, og tasterne er helt døde :(


frogmaster
frogmaster's picture
Antal: 3496
Tilmeldt:
20-05-2010
User is offline
Ja. Jeg synes det ser noget

Ja. Jeg synes det ser noget problematisk ud. Fresh i Firefox burde ikke returnere de værdier du viser.

Der er nogle ting du kan prøve, f.eks. at om det hjælper at tjekke din hardware fra Driverhåndtering, og at installere mint-meta-codecs (All the packages required for multimedia support in Linux Mint). Det kan du nemmest fra Velkomstskærm.

Ellers tror jeg, hvis det var mig, at jeg ville tage backup af alt med affektionsværdi, downloade en Mint 17.3 iso, og clean installere maskinen. Jeg vil mene en opgradering, men det er et gæt der måske alligevel værd at prøve, at sandsynligheden er til stede for at det bare fortsætter problemerne.

Jeg ved ikke om det er nødvendigt efterfølgende at ændre kernel. Det er lidt en Try and cry som jeg ser det.


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Driverhåndtering viser kun

Driverhåndtering viser kun noget om grafikkortet. Den anbefaler stadig Nvidia, selvom Nvidia kortet for længst er fjernet, og jeg heller ikke kan se nogen Nvidia driver på computeren.

http://imgur.com/fefQuH2

Jeg har installeret mint-meta-codecs nu. Tilsyneladende gør det ingen forskel, men måske skal jeg lige genstarte først.

Mht Mint 17.3 prøver jeg nok med en opgradering i første omgang, og hvis det ikke hjælper, så en clean installering.

Men nu har jeg netop prøvet Opera, og selvom den er lidt langsommere end Firefox, så crasher den i det mindste ikke (indtil videre..), og går heller ikke i sort. Desuden kan den afspille videoer fra alle sites, MEN desværre kun én enkelt video (i hvert fald på dailymotion.com), for så går "Shockwave Flash" ned :(

Umiddelbart virker det på mig som et kapacitets-problem, men bare lidt mystisk, da det jo har kørt uden problemer indtil for nylig..


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Hurra, det hjalp at

Hurra, det hjalp at genstarte, ser det ud til. I hvert fald har den (Firefox) ikke crash'et siden, og alle videoer på nettet kan streames uden problemer. Dog går skærmen stadig i sort nogle sekunder af og til, når jeg åbner en hjemmeside eller åbner/lukker et program, men i det mindste må Flash version 22 være installeret korrekt, så mon ikke bare den sorte skærm skyldes for lidt RAM eller lign. Under alle omstændigheder skal I ha' 1000 tak for hjælpen!


frogmaster
frogmaster's picture
Antal: 3496
Tilmeldt:
20-05-2010
User is offline
Hurra, det hjalp Det

#23: Hurra, det hjalp

Det var godt, men jeg tror stadig du har problemer med grafikkort driveren, muligvis også andet.

Virker Chromium nu?


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Nej. Jeg af- og

Nej. Jeg af- og geninstallerede Chromium, men den virker stadig ikke. Jeg tror også grafikkortet er skurken, for Chromium starter som sagt op med næsten blank skærm, og tager jeg et skærmbillede, når hverken menu- og dialogboksen at forsvinde før billedet tages:

http://imgur.com/0z94kRl

Desuden søgte jeg på "Point of View" og læste at firmaet åbenbart også laver Nvidia kort (for at gøre forvirringen total!), så måske skulle jeg i virkeligheden bare vælge "Nvidia-304 (anbefalet)" her: http://imgur.com/fefQuH2 ? Kan der ske noget ved det? Det forvirrende er jo, at mit forrige kort rent faktisk var et Nvidia kort (kan desværre ikke huske hvilken model eller nummer, da jeg har solgt det nu). Herefter satte jeg bare POV kortet i, som har virket fint indtil nu. Man skal jo normalt bare lade Linux selv finde drivere til hardwaren, så det gjorde jeg, hvilket måske var dumt? :/

https://en.wikipedia.org/wiki/Point_of_View_(computer_hardware_company)


frogmaster
frogmaster's picture
Antal: 3496
Tilmeldt:
20-05-2010
User is offline
Desuden søgte jeg på

#25: Desuden søgte jeg på "Point of View" og læste at firmaet åbenbart også laver Nvidia kort (for at gøre forvirringen total!), så måske skulle jeg i virkeligheden bare vælge "Nvidia-304 (anbefalet)"

Der kan ske det, hvis driveren er forkert, og som du ved, at du ender op med en blank skærm, så før du eventuelt installere den, så tjek hvordan du starter maskinen i safe mode. På nogle maskiner trykker man Shift ned mens maskinen starter.

Ellers ville jeg prøve at installere den. Går det helt galt, så er det en god ide at have installationen parat til Mint 17.3


OracleJMT
OracleJMT's picture
Antal: 256
Tilmeldt:
26-05-2013
User is offline
Opensource driveren til

Opensource driveren til Nvidia, Nouveau, er noget værre hø. Så der er ikke noget, at sige til, at du oplever problemer, da du ikke har haft den anbefalede Nvidia-driver, Nvidia 304, installeret.

Fix til Nvidia screen tearing og window lag på Cinnamon:
http://bit.ly/2Ih6IgB

I embrace the UNIX and KISS philosophy, and the BSD license.


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Har skiftet til Nvidia 304

Har skiftet til Nvidia 304 nu, og alt ser ud til at virke som det skal, også Chromium. Rart at få løst problemet :)

Jeg trykkede Shift under opstart, - ved dog ikke om jeg er i safe-mode, men det kan jo heldigvis være lige meget nu.

Noget som undrer mig, er at Linux vælger Nouveau (default) og samtidig anbefaler Nvidia, - især når Nouveau medfører SÅ meget bøvl. Men det er nok bare over mit niveau at se logikken i det :)


OracleJMT
OracleJMT's picture
Antal: 256
Tilmeldt:
26-05-2013
User is offline
Noget som undrer mig, er at

Noget som undrer mig, er at Linux vælger Nouveau (default) og samtidig anbefaler Nvidia, - især når Nouveau medfører SÅ meget bøvl. Men det er nok bare over mit niveau at se logikken i det :)

Det skyldes, at den officielle Nvidia er non-free, lukket kode.

Fix til Nvidia screen tearing og window lag på Cinnamon:
http://bit.ly/2Ih6IgB

I embrace the UNIX and KISS philosophy, and the BSD license.


frogmaster
frogmaster's picture
Antal: 3496
Tilmeldt:
20-05-2010
User is offline
Har skiftet til Nvidia

#28: Har skiftet til Nvidia 304 nu, og alt ser ud til at virke som det skal, også Chromium. Rart at få løst problemet :

Godt du fik løst problemet fuldstændigt.

Som #29 nævner, så er Nvidia proprietær. Nouveau er ikke, men Nouveau er også en fail back. Det er ikke altid de proprietære drivere virker, og hvis det sker så skal man bruge en fail back.


Pingsvin
Pingsvin's picture
Antal: 87
Tilmeldt:
10-11-2015
User is offline
Ok. Tak for forklaringen,

Ok. Tak for forklaringen, giver god mening :)

Jeg får for øvrigt stadig af og til kortvarig sort skærm med Firefox, så nu er jeg skiftet til Chromium, som kører betydeligt hurtigere og helt problemfrit. Så udover grafikkort driveren har ustabiliteten nok også skyldtes noget med Firefox, men den kan jeg jo altid geninstallere og prøve den igen, hvis Chromium begynder at drille en dag :)